Package org.eclipse.jdt.core.util

## Interface IMethodParametersAttribute

All Superinterfaces:
  `IClassFileAttribute`

    public interface IMethodParametersAttribute
    extends IClassFileAttribute

Description of a method's parameters names as described in the JVM specifications. This interface may be implemented by clients.

Since:
  3.10

### Method Summary

All Methods Instance Methods Abstract Methods
`short` `getAccessFlags​(int i)` Answer back the access flags for the i'th parameter, a mask of `ACC_FINAL`, `ACC_SYNTHETIC`, and `ACC_MANDATED`.
`int` `getMethodParameterLength()` Answer back the number of parameters for this method as specified in the JVM specifications.
`char[]` `getParameterName​(int i)` Answer back the name for the i'th parameter.

### Methods inherited from interface org.eclipse.jdt.core.util.IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

### Method Detail

#### getMethodParameterLength

    int getMethodParameterLength()

Answer back the number of parameters for this method as specified in the JVM specifications.

Returns:
  the number of parameters for this method as specified in the JVM specifications

#### getParameterName

    char[] getParameterName​(int i)

Answer back the name for the i'th parameter. Answer null if no name is available.

Returns:
  back the name for the i'th parameter. Returns null if no name is available.

#### getAccessFlags

    short getAccessFlags​(int i)

Answer back the access flags for the i'th parameter, a mask of `ACC_FINAL`, `ACC_SYNTHETIC`, and `ACC_MANDATED`.

Returns:
  the access flags for the i'th parameter.